PreSetDef (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.PreSetDef,PreSetDef class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class PreSetDef

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.AntlibDefinition
                        |
                        +--org.apache.tools.ant.taskdefs.PreSetDef

All Implemented Interfaces:
  TaskContainer

public class PreSetDef
extends AntlibDefinition
implements TaskContainer

The preset definition task generates a new definition based on a current definition with some attributes or elements preset.

     <presetdef name="my.javac">
       <javac deprecation="${deprecation}" debug="${debug}"/>
     </presetdef>
     <my.javac srcdir="src" destdir="classes"/>

Since:
  Ant 1.6

Nested Class Summary
`static class` | `PreSetDef.PreSetDefinition` This class contains the unknown element and the object that is predefined.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`PreSetDef()`

Method Summary
`void` | `addTask(Task nestedTask)` Add a nested task to predefine attributes and elements on
`void` | `execute()` make a new definition
`void` | `setName(java.lang.String name)` Name of the definition

Methods inherited from class org.apache.tools.ant.taskdefs.AntlibDefinition
`getAntlibClassLoader, getURI, setAntlibClassLoader, setURI`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreSetDef

    public PreSetDef()

Method Detail

### setName

    public void setName(java.lang.String name)

  Name of the definition

  Parameters:
    `name` - the name of the definition

### addTask

    public void addTask(Task nestedTask)

  Add a nested task to predefine attributes and elements on

  Specified by:
    `addTask` in interface `TaskContainer`
  Parameters:
    `nestedTask` - Nested task/type to extend

### execute

    public void execute()

  make a new definition

  Overrides:
    `execute` in class `Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.